## xbmc 11.0~git20120423.cd20772

=== lib/tinyXML/Makefile ===
INCLUDES=-I. -I../../xbmc -I../../xbmc/linux
SRCS=tinystr.cpp \
     tinyxml.cpp \
     tinyxmlerror.cpp \
     tinyxmlparser.cpp
LIB=tinyxml.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/asap/xasm/Makefile ===
VERSION = 3.0.2

ASCIIDOC = asciidoc -o $@ -a doctime
ASCIIDOC_POSTPROCESS = perl -pi.bak -e "s/527bbd;/20a0a0;/;END{unlink '$@.bak'}" $@
ASCIIDOC_VALIDATE = xmllint --valid --noout --nonet $@
RM = rm -f
ZIP = 7z a -mx=9 -tzip $@

all: xasm

xasm.o: xasm.d
	gdc -c -o xasm.o -O2 $<

xasm: xasm.o
	gdc -o xasm xasm.o

xasm.html: xasm.1.txt
	$(ASCIIDOC) -d manpage $<
	$(ASCIIDOC_POSTPROCESS)
	$(ASCIIDOC_VALIDATE)

dist: xasmpage-$(VERSION).zip

xasmpage-$(VERSION).zip: xasm261.zip xasm-$(VERSION)-src.zip xasm-$(VERSION)-windows.zip inflate6502.zip index.html inflate.html scite.png
	$(RM) $@
	$(ZIP) $^

xasm-$(VERSION)-src.zip: xasm.d Makefile xasm.1.txt
	$(RM) $@
	$(ZIP) $^

xasm-$(VERSION)-windows.zip: xasm.exe xasm.html xasm.properties
	$(RM) $@
	$(ZIP) $^

inflate6502.zip: inflate.asx gzip2deflate.c gzip2deflate.exe
	$(RM) $@
	$(ZIP) $^

gzip2deflate.exe: gzip2deflate.c
	mingw32-gcc -s -O2 -Wall -o $@ $<

index.html: index.txt
	$(ASCIIDOC) $<
	$(ASCIIDOC_POSTPROCESS)
	$(ASCIIDOC_VALIDATE)

inflate.html: inflate.txt
	$(ASCIIDOC) $<
	$(ASCIIDOC_POSTPROCESS)
	$(ASCIIDOC_VALIDATE)

clean:
	$(RM) xasm.o xasm

.DELETE_ON_ERROR:

=== lib/cximage-6.0/png/Makefile ===
CFLAGS+=-fPIC
ifeq ($(findstring osx,$(ARCH)), osx)
	CFLAGS+=-fno-common
endif
LIB=png.a
OBJS=png.o pngerror.o pngget.o pngmem.o pngpread.o pngread.o pngrio.o pngrtran.o pngrutil.o pngset.o pngtrans.o pngvcrd.o pngwio.o pngwrite.o pngwtran.o pngwutil.o

include ../../../Makefile.include

=== xbmc/filesystem/VideoDatabaseDirectory/Makefile ===
SRCS=DirectoryNode.cpp \
     DirectoryNodeActor.cpp \
     DirectoryNodeCountry.cpp \
     DirectoryNodeDirector.cpp \
     DirectoryNodeEpisodes.cpp \
     DirectoryNodeGenre.cpp \
     DirectoryNodeMoviesOverview.cpp \
     DirectoryNodeMusicVideoAlbum.cpp \
     DirectoryNodeMusicVideosOverview.cpp \
     DirectoryNodeOverview.cpp \
     DirectoryNodeRecentlyAddedEpisodes.cpp \
     DirectoryNodeRecentlyAddedMovies.cpp \
     DirectoryNodeRecentlyAddedMusicVideos.cpp \
     DirectoryNodeRoot.cpp \
     DirectoryNodeSeasons.cpp \
     DirectoryNodeSets.cpp \
     DirectoryNodeStudio.cpp \
     DirectoryNodeTitleMovies.cpp \
     DirectoryNodeTitleMusicVideos.cpp \
     DirectoryNodeTitleTvShows.cpp \
     DirectoryNodeTvShowsOverview.cpp \
     DirectoryNodeYear.cpp \
     QueryParams.cpp \

LIB=videodatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/interfaces/json-rpc/Makefile ===
SRCS=ApplicationOperations.cpp \
     AudioLibrary.cpp \
     FileItemHandler.cpp \
     FileOperations.cpp \
     JSONRPC.cpp \
     JSONServiceDescription.cpp \
     PlayerOperations.cpp \
     PlaylistOperations.cpp \
     SystemOperations.cpp \
     InputOperations.cpp \
     VideoLibrary.cpp \
     XBMCOperations.cpp \

LIB=json-rpc.a

include ../../../Makefile.include

=== xbmc/music/dialogs/Makefile ===
SRCS=GUIDialogMusicInfo.cpp \
     GUIDialogMusicOSD.cpp \
     GUIDialogMusicOverlay.cpp \
     GUIDialogMusicScan.cpp \
     GUIDialogSongInfo.cpp \
     GUIDialogVisualisationPresetList.cpp \

LIB=musicdialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/powermanagement/linux/Makefile ===
SRCS=ConsoleDeviceKitPowerSyscall.cpp \
     ConsoleUPowerSyscall.cpp \
     HALPowerSyscall.cpp \
     
LIB=powermanagement_linux.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/threads/test/Makefile ===
SRCS=	\
	TestMain.cpp \
	TestEvent.cpp \
	TestSharedSection.cpp \
	TestAtomics.cpp \
	TestThreadLocal.cpp


LIB=threadTest.a

CLEAN_FILES=testMain

runtest: testMain
	./testMain

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

testMain: $(LIB) ../threads.a
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o testMain $(OBJS) ../threads.a -lboost_unit_test_framework -lboost_thread

=== xbmc/utils/test/Makefile ===
SRCS=	\
	TestMain.cpp \
	TestGlobalsHandling.cpp

LIB=utilsTest.a

CLEAN_FILES=testMain

runtest: testMain
	./testMain

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

testMain: $(LIB)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o testMain $(OBJS) -lboost_unit_test_framework

=== tools/darwin/depends/autoconf/Makefile ===
include ../Makefile.include

# lib name, version
APPNAME=autoconf
VERSION=2.63
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
export PATH:=$(TOOLCHAIN)/bin:$(PATH)
CONFIGURE=./configure --prefix=$(TOOLCHAIN)

APP=$(SOURCE)/bin/$(APPNAME)
APPBIN=$(TOOLCHAIN)/bin/$(APPNAME)

all: $(APPBIN)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	sed -i bak -e "s/'libtoolize'/'glibtoolize'/" $(SOURCE)/bin/autoreconf.in
	cd $(SOURCE); $(CONFIGURE)

$(APP): $(SOURCE)
	make -j $(MAKE_JOBS) -C $(SOURCE)

$(APPBIN):
	make $(APP)
	make -C $(SOURCE) install

clean:
	make -C $(SOURCE) clean

distclean::
	rm -rf $(SOURCE)

=== tools/darwin/depends/automake/Makefile ===
include ../Makefile.include

# lib name, version
APPNAME=automake
VERSION=1.10.3
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
export PATH:=$(TOOLCHAIN)/bin:$(PATH)
CONFIGURE=./configure --prefix=$(TOOLCHAIN)

APP=$(SOURCE)/bin/$(APPNAME)
APPBIN=$(TOOLCHAIN)/bin/$(APPNAME)

all: $(APPBIN)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); $(CONFIGURE)

$(APP): $(SOURCE)
	make -j $(MAKE_JOBS) -C $(SOURCE)

$(APPBIN):
	make $(APP)
	make -C $(SOURCE) install

clean:
	make -C $(SOURCE) clean

distclean::
	rm -rf $(SOURCE)

=== tools/darwin/depends/cmake/Makefile ===
include ../Makefile.include

# lib name, version
APPNAME=cmake
VERSION=2.8.4
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
export PATH:=$(TOOLCHAIN)/bin:$(PATH)
CONFIGURE=./bootstrap --prefix=$(TOOLCHAIN)

APP=$(SOURCE)/$(APPNAME)
APPBIN=$(TOOLCHAIN)/bin/$(APPNAME)

all: $(APPBIN)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); $(CONFIGURE)

$(APP): $(SOURCE)
	make -j $(MAKE_JOBS) -C $(SOURCE)

$(APPBIN):
	make $(APP)
	make -C $(SOURCE) install

clean:
	make -C $(SOURCE) clean

distclean::
	rm -rf $(SOURCE)

=== debian/changelog ===
xbmc (2:11.0~git20120423.cd20772-1) experimental; urgency=low

  * New upload of Eden branch to experimental.
  * Upload contains fixes to build ARM packages.

 -- Andres Mejia <amejia@debian.org>  Mon, 23 Apr 2012 16:00:52 -0400

xbmc (2:11.0~git20120416.a630a51-2) experimental; urgency=low

  * Re-enable builds for other architectures besides amd64 and i386.
    (Closes: #668316)

 -- Andres Mejia <amejia@debian.org>  Thu, 19 Apr 2012 21:51:44 -0400

xbmc (2:11.0~git20120416.a630a51-1) unstable; urgency=low

  * New upload of Eden branch.
  * Use new patch to build/run XBMC with system tinyxml.

 -- Andres Mejia <amejia@debian.org>  Thu, 19 Apr 2012 21:17:34 -0400

xbmc (2:11.0~git20120403.ec33f1f+repack1-5) unstable; urgency=low

  * Disable building of xbmc for architectures other than amd64 and i386.

 -- Andres Mejia <amejia@debian.org>  Sat, 07 Apr 2012 18:31:49 -0400

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
Uploaders: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 cmake,
 autopoint | gettext,
 autotools-dev,
 autoconf,
 automake,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev,
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev,
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel],
 python-imaging,
 libplist-dev,
 libhal-storage-dev,
 libcec-dev (>= 1.1),
 libudev-dev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff4-dev | libtiff-dev,
 libtinyxml-dev,
 libavcodec-dev (>= 4:0.7),
 libavfilter-dev (>= 4:0.7),
 libavformat-dev (>= 4:0.7),
 libavutil-dev (>= 4:0.7),
 libpostproc-dev (>= 4:0.7),
 libswscale-dev (>= 4:0.7),
 libbluray-dev,
 libva-dev,
Standards-Version: 3.9.3
Homepage: http://xbmc.org/
Vcs-Git: git://github.com/xbmc/xbmc-packaging.git
Vcs-Browser: https://github.com/xbmc/xbmc-packaging

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         ttf-liberation,
         ttf-dejavu-core,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Recommends: python-qt3
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the archiecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: i386 amd64 powerpc ppc64 armel armhf
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-live
Architecture: all
Depends: xbmc (= ${binary:Version}),
         openssh-server,
         ${python:Depends},
         python-apt,
         adduser,
         sudo,
         whois,
         ${misc:Depends},
Conflicts: kdm, gdm, xdm, wdm
Description: XBMC Media Center (XBMC Live package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is used to setup the XBMC Live environment.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: i386 amd64 powerpc ppc64 armel armhf
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
# NOTE: DEB_BUILD_OPTIONS must have 'nostrip' otherwise debugging symbols will
# be stripped from binaries.
XBMC_RELEASE ?= yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
XBMC_RELEASE ?= no
endif

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
else
  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
endif

# Enable gles for armel
ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles
OPENMAX_OPTIONS = --disable-openmax
else
GL_CONFIG_OPTIONS = --disable-gl --enable-gles
OPENMAX_OPTIONS = --enable-openmax
endif

# Various environment variables to set
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)"

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --enable-vdpau \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  $(OPENMAX_OPTIONS) \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --disable-ccache \
  --enable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --enable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-afpclient \
  --enable-airtunes \
  --enable-external-libraries \
  --disable-dvdcss \
  --disable-non-free \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Use --parallel option only if debhelper supports it
DH_PARALLEL_OPT=$(shell dh_testdir --parallel 2>/dev/null && echo "--parallel")

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ $(DH_PARALLEL_OPT)

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

override_dh_auto_configure: configure
	./configure $(XBMC_CONFIG_OPTIONS)

override_dh_auto_install:
	$(MAKE) -C lib/addons/script.module.pil
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt
	# Add in scripts to packaging
	mkdir -p debian/xbmc-live/usr/bin/
	cp -f live-scripts/diskmounter live-scripts/runXBMC \
		debian/xbmc-live/usr/bin/
	mkdir -p debian/xbmc-live/etc/xbmc
	cp -rf live-scripts/live.d debian/xbmc-live/etc/xbmc

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs

override_dh_shlibdeps: debian/tmp/xbmc-bin-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls \
		-lvdpau \
		-lrtmp \
		-lnfs \
		-lshairport \
		-lplist \
		-lass \
		-lcec

=== debian/watch ===
version=3
opts=uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack)(.*)$//i,pasv \
http://mirrors.xbmc.org/releases/source/xbmc-(.*)\.tar\.gz

## xbmc 11.0~git20120510.82388d5

=== xbmc/addons/Makefile ===
SRCS=Addon.cpp \
     AddonDatabase.cpp \
     AddonInstaller.cpp \
     AddonManager.cpp \
     AddonStatusHandler.cpp \
     AddonVersion.cpp \
     GUIDialogAddonInfo.cpp \
     GUIDialogAddonSettings.cpp \
     GUIViewStateAddonBrowser.cpp \
     GUIWindowAddonBrowser.cpp \
     PluginSource.cpp \
     Repository.cpp \
     Scraper.cpp \
     ScreenSaver.cpp \
     Service.cpp \
     Skin.cpp \
     Visualisation.cpp \

LIB=addons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/dialogs/Makefile ===
SRCS=GUIDialogBoxBase.cpp \
     GUIDialogBusy.cpp \
     GUIDialogButtonMenu.cpp \
     GUIDialogCache.cpp \
     GUIDialogContextMenu.cpp \
     GUIDialogFavourites.cpp \
     GUIDialogFileBrowser.cpp \
     GUIDialogGamepad.cpp \
     GUIDialogKaiToast.cpp \
     GUIDialogKeyboard.cpp \
     GUIDialogMediaSource.cpp \
     GUIDialogMuteBug.cpp \
     GUIDialogNumeric.cpp \
     GUIDialogOK.cpp \
     GUIDialogPlayEject.cpp \
     GUIDialogPlayerControls.cpp \
     GUIDialogProgress.cpp \
     GUIDialogSeekBar.cpp \
     GUIDialogSelect.cpp \
     GUIDialogSlider.cpp \
     GUIDialogSmartPlaylistEditor.cpp \
     GUIDialogSmartPlaylistRule.cpp \
     GUIDialogSubMenu.cpp \
     GUIDialogTextViewer.cpp \
     GUIDialogVolumeBar.cpp \
     GUIDialogYesNo.cpp \

LIB=dialogs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/input/Makefile ===
SRCS=ButtonTranslator.cpp \
     InertialScrollingHandler.cpp \
     KeyboardLayoutConfiguration.cpp \
     KeyboardStat.cpp \
     MouseStat.cpp \
     SDLJoystick.cpp \
     XBMC_keytable.cpp \
     
LIB=input.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/music/Makefile ===
SRCS=Album.cpp \
     Artist.cpp \
     GUIViewStateMusic.cpp \
     LastFmManager.cpp \
     MusicDatabase.cpp \
     MusicInfoLoader.cpp \
     Song.cpp \
     
LIB=music.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/programs/Makefile ===
SRCS=GUIViewStatePrograms.cpp \
     GUIWindowPrograms.cpp \
     ProgramDatabase.cpp \
     Shortcut.cpp \
     
LIB=programs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/threads/Makefile ===
SRCS=Atomics.cpp \
     Event.cpp \
     LockFree.cpp \
     Thread.cpp \
     SystemClock.cpp \
     platform/Implementation.cpp

LIB=threads.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/utils/Makefile ===
SRCS=AlarmClock.cpp \
     AliasShortcutUtils.cpp \
     Archive.cpp \
     AsyncFileCopy.cpp \
     AutoPtrHandle.cpp \
     BitstreamStats.cpp \
     CharsetConverter.cpp \
     CPUInfo.cpp \
     Crc32.cpp \
     CryptThreading.cpp \
     DownloadQueue.cpp \
     DownloadQueueManager.cpp \
     Fanart.cpp \
     fastmemcpy.c \
     fastmemcpy-arm.S \
     FileOperationJob.cpp \
     FileUtils.cpp \
     fstrcmp.c \
     fft.cpp \
     GLUtils.cpp \
     HTMLTable.cpp \
     HTMLUtil.cpp \
     HttpHeader.cpp \
     HttpParser.cpp \
     InfoLoader.cpp \
     JobManager.cpp \
     JSONVariantParser.cpp \
     JSONVariantWriter.cpp \
     LabelFormatter.cpp \
     LangCodeExpander.cpp \
     LCD.cpp \
     LCDFactory.cpp \
     log.cpp \
     md5.cpp \
     PCMAmplifier.cpp \
     PCMRemap.cpp \
     PerformanceSample.cpp \
     PerformanceStats.cpp \
     RecentlyAddedJob.cpp \
     RegExp.cpp \
     RingBuffer.cpp \
     RssReader.cpp \
     ScraperParser.cpp \
     ScraperUrl.cpp \
     Splash.cpp \
     ssrc.cpp \
     Stopwatch.cpp \
     StreamDetails.cpp \
     StreamUtils.cpp \
     StringUtils.cpp \
     SystemInfo.cpp \
     TimeSmoother.cpp \
     TimeUtils.cpp \
     TuxBoxUtil.cpp \
     URIUtils.cpp \
     Variant.cpp \
     Weather.cpp \
     Win32Exception.cpp \
     XBMCTinyXML.cpp \
     XMLUtils.cpp \

LIB=utils.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(patsubst %.S,,$(SRCS))))

=== xbmc/video/Makefile ===
SRCS=Bookmark.cpp \
     GUIViewStateVideo.cpp \
     Teletext.cpp \
     VideoDatabase.cpp \
     VideoInfoDownloader.cpp \
     VideoInfoScanner.cpp \
     VideoInfoTag.cpp \
     VideoReferenceClock.cpp \
     
LIB=video.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/cximage-6.0/raw/Makefile ===
CFLAGS+=-fPIC -DXBMC
ifeq ($(findstring osx,$(ARCH)), osx)
	CFLAGS+=-fno-common
endif
LIB=raw.a
OBJS=dcr.o libdcr.o

include ../../../Makefile.include

=== xbmc/interfaces/http-api/Makefile ===
SRCS=HttpApi.cpp XBMChttp.cpp

LIB=http-api.a

include ../../../Makefile.include

=== xbmc/music/tags/Makefile ===
SRCS=APEv2Tag.cpp \
     FlacTag.cpp \
     Id3Tag.cpp \
     MusicInfoTag.cpp \
     MusicInfoTagLoaderAAC.cpp \
     MusicInfoTagLoaderApe.cpp \
     MusicInfoTagLoaderASAP.cpp \
     MusicInfoTagLoaderCDDA.cpp \
     MusicInfoTagLoaderDatabase.cpp \
     MusicInfoTagLoaderFactory.cpp \
     MusicInfoTagLoaderFlac.cpp \
     MusicInfoTagLoaderMidi.cpp \
     MusicInfoTagLoaderMod.cpp \
     MusicInfoTagLoaderMP3.cpp \
     MusicInfoTagLoaderMP4.cpp \
     MusicInfoTagLoaderMPC.cpp \
     MusicInfoTagLoaderNSF.cpp \
     MusicInfoTagLoaderOgg.cpp \
     MusicInfoTagLoaderShn.cpp \
     MusicInfoTagLoaderSPC.cpp \
     MusicInfoTagLoaderWav.cpp \
     MusicInfoTagLoaderWavPack.cpp \
     MusicInfoTagLoaderWMA.cpp \
     MusicInfoTagLoaderYM.cpp \
     OggTag.cpp \
     VorbisTag.cpp \

LIB=musictags.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/video/dialogs/Makefile ===
SRCS=GUIDialogAudioSubtitleSettings.cpp \
     GUIDialogFileStacking.cpp \
     GUIDialogFullScreenInfo.cpp \
     GUIDialogTeletext.cpp \
     GUIDialogVideoBookmarks.cpp \
     GUIDialogVideoInfo.cpp \
     GUIDialogVideoOSD.cpp \
     GUIDialogVideoOverlay.cpp \
     GUIDialogVideoScan.cpp \
     GUIDialogVideoSettings.cpp \

LIB=videodialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== debian/changelog ===
xbmc (2:11.0~git20120510.82388d5-1ubuntu7) raring; urgency=low

  * debian/rules: Removed GL check suppression via build-time architecture-
    specific change in /usr/bin/xbmc, as this file is in an architecture-
    independent package which the Ubuntu build servers always build on an
    an i386 server.
  * xbmc-startup-script-workarounds-for-arm.patch: Add two workarounds for
    ARM/Nexus 7 to the /usr/bin/xbmc startup script, once suppressing the GL
    check (LP: #1084201) and second, setting SDL_VIDEO_FULLSCREEN_DISPLAY=0
    to make fullscreen desktop application mode of XBMC working (LP: #1085350).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Dec 2012 12:57:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu6) raring; urgency=low

  * debian/rules: Added multi-arch search path for Python header files
    "-I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" to CFLAGS and CXXFLAGS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Dec 2012 08:47:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu5) raring; urgency=low

  * debian/control: Added build dependency on python2.7-dev, also needed for
    Raring.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Dec 2012 22:28:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu4) raring; urgency=low

  * debian/control: Added build dependency on python-dev, needed for Raring.
  * debian/rules: If we are on ARM, disable the checking whether the system
    has GL support, as the check does not recognize GLES. This is also needed
    to fix LP: #1084201. Now XBMC works correctly as desktop environment or as
    desktop app in a window on the Nexus 7 (former method recommended due to
    memory limitations.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Dec 2012 20:40:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu3) raring; urgency=low

  * debian/rules: Use GLES instead of GL on the Nexus 7 (armhf). Patch from
    LP: #1084201.
  * debian/control: Added build dependency on libgles2-mesa-dev, needed for
    the GLES support on armhf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 10 Dec 2012 20:40:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu2) quantal; urgency=low

  * Recommend python-gtk2 instead of python-qt3 as the latter is going to
    be removed from the archive. (LP: #1029476; Debian bug #685076)
    python-qt3 was used by FEH.py and FEH-ARM.py. Both support gtk2 as an
    alternative output.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 24 Sep 2012 10:24:12 +0200

xbmc (2:11.0~git20120510.82388d5-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev | libtiff-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 12:55:34 +0100

xbmc (2:11.0~git20120510.82388d5-1build2) quantal; urgency=low

  * No change rebuild with the new glew

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Aug 2012 19:44:06 +0200

xbmc (2:11.0~git20120510.82388d5-1build1) quantal; urgency=low

  * No change rebuild with current glew

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 19:56:03 +0200

xbmc (2:11.0~git20120510.82388d5-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upload of Eden branch.
  * Don't provide xbmc-live package anymore. (Closes: #668404)
    (Closes: #671275) (Closes: #671668)
  * Require libtinyxml-dev (>= 2.6.2).
  * Include libmodplug library in Recommends.
  * Make libcurl-gnutls a strict dependency for xbmc-bin.
  * Add other recommended libraries used by xbmc.
  * Alphabetize lists of recommended dependencies.
  * Remove patches directory. All patches applied in Eden branch.

  [ Piethein Strengholt ]
  * remove live-scripts directory, part of #670482
  * no longer copy the live-scripts dir when building
  * live isn't a valid package in the control.in file
  * remove other xbmc-live references, part of #670482

 -- Andres Mejia <amejia@debian.org>  Thu, 10 May 2012 17:37:39 -0400

xbmc (2:11.0~git20120423.cd20772-2) unstable; urgency=low

  * Add lsb-release to xbmc-live dependencies.
  * Have xbmc-live depend on policykit-1. (Closes: #669727)
  * Only enable builds for amd64, i386, and armhf.
  * Update README.Debian file about packages that are built.
  * Don't set release variable if no version number is available.
    This fixes issue for Debian unstable which doesn't contain a version number.
  * Remove unused release variable in postrm script.
  * Set $release to 0 in case no version is given. (Closes: #670482)

 -- Andres Mejia <amejia@debian.org>  Wed, 02 May 2012 15:31:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: xbmc
 Section: video
 Priority: optional
-Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
 Uploaders: Andres Mejia <amejia@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python-support,
+ python-dev,
+ python2.7-dev,
  cmake,
  autopoint | gettext,
  autotools-dev,
@@ -77,8 +80,9 @@
  libshairport-dev,
  libnfs-dev,
  libltdl-dev,
- libtiff4-dev | libtiff-dev,
- libtinyxml-dev,
+ libtiff-dev,
+ libtinyxml-dev (>= 2.6.2),
+ libmp3lame-dev,
  libavcodec-dev (>= 4:0.7),
  libavfilter-dev (>= 4:0.7),
  libavformat-dev (>= 4:0.7),
@@ -87,6 +91,7 @@
  libswscale-dev (>= 4:0.7),
  libbluray-dev,
  libva-dev,
+ libgles2-mesa-dev
 Standards-Version: 3.9.3
 Homepage: http://xbmc.org/
 Vcs-Git: git://github.com/xbmc/xbmc-packaging.git
@@ -103,7 +108,7 @@
          python-imaging,
          ${python:Depends},
          ${misc:Depends}
-Recommends: python-qt3
+Recommends: python-gtk2
 Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence
 Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence
 Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
@@ -131,8 +136,9 @@
  working XBMC.
 
 Package: xbmc-bin
-Architecture: i386 amd64 powerpc ppc64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: ${shlibs:Depends},
+         ${dlopenlibs:Depends},
          ${misc:Depends}
 Recommends: ${shlibs:Recommends}
 Provides: xbmc-common
@@ -158,37 +164,6 @@
  .
  This package contains all the binary data needed to have a working XBMC.
 
-Package: xbmc-live
-Architecture: all
-Depends: xbmc (= ${binary:Version}),
-         openssh-server,
-         ${python:Depends},
-         python-apt,
-         adduser,
-         sudo,
-         whois,
-         ${misc:Depends},
-Conflicts: kdm, gdm, xdm, wdm
-Description: XBMC Media Center (XBMC Live package)
- XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
- open source software media-player and entertainment hub for all your digital
- media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
- and Microsoft Windows, as well as the original Xbox game console. Created in
- 2003 by a group of like minded programmers, XBMC is a non-profit project run
- and developed by volunteers located around the world. More than 50 software
- developers have contributed to XBMC, and 100-plus translators have worked to
- expand its reach, making it available in more than 30 languages.
- .
- While XBMC functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your
- HTPC. Supporting an almost endless range of remote controls, and combined
- with its beautiful interface and powerful skinning engine, XBMC feels very
- natural to use from the couch and is the ideal solution for your home
- theater. Once installed, your computer will become a fully functional
- multimedia jukebox.
- .
- This package is used to setup the XBMC Live environment.
-
 Package: xbmc-eventclients-common
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
@@ -238,7 +213,7 @@
  This is the Development package for XBMC Event Client.
 
 Package: xbmc-eventclients-wiiremote
-Architecture: i386 amd64 powerpc ppc64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: xbmc-eventclients-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -286,3 +261,26 @@
  theater. Once installed, your computer will become a fully functional
  multimedia jukebox.
  .
+ This package is the J2ME package for XBMC Event Client. This is meant to
+ provide a server that communicate with a mobile tool supporting Java ME.
+
+Package: xbmc-eventclients-ps3
+Architecture: all
+Depends: xbmc-eventclients-common (= ${binary:Version}),
+         python-bluez | python-lightblue,
+         ${python:Depends},
+         ${misc:Depends}
+Description: XBMC Media Center (Event Client PS3 package)
+ XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
+ open source software media-player and entertainment hub for all your digital
+ media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
+ and Microsoft Windows, as well as the original Xbox game console. Created in
+ 2003 by a group of like minded programmers, XBMC is a non-profit project run
+ and developed by volunteers located around the world. More than 50 software
+ developers have contributed to XBMC, and 100-plus translators have worked to
+ expand its reach, making it available in more than 30 languages.
+ .
+ While XBMC functions very well as a standard media player application for
+ your computer, it has been designed to be the perfect companion for your
+ HTPC. Supporting an almost endless range of remote controls, and combined
+ with its beautiful interface and powerful skinning engine, XBMC feels very

=== debian/rules ===
--- 
+++ 
@@ -26,19 +26,22 @@
   ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
 else
   ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
+  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
 endif
 
-# Enable gles for armel
+# Enable gles for arm and disable check for GL support on startup
 ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
-GL_CONFIG_OPTIONS = --enable-gl --disable-gles
-OPENMAX_OPTIONS = --disable-openmax
+  ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
+    GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
+  else
+    GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+  endif
 else
-GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-OPENMAX_OPTIONS = --enable-openmax
+  GL_CONFIG_OPTIONS = --disable-gl --enable-gles
 endif
 
 # Various environment variables to set
-ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)"
+ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" CXXFLAGS="$(DEB_CXXFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7"
 
 # List of options to pass to configure. Can be overridden.
 # Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
@@ -48,10 +51,9 @@
   --prefix=/usr --docdir=/usr/share/doc/xbmc \
   $(DEBUG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
-  --enable-vdpau \
   --disable-vdadecoder \
   --disable-vtbdecoder \
-  $(OPENMAX_OPTIONS) \
+  --disable-openmax \
   --disable-tegra \
   --disable-profiling \
   --enable-joystick \
@@ -106,31 +108,41 @@
 	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
 		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
 		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt
-	# Add in scripts to packaging
-	mkdir -p debian/xbmc-live/usr/bin/
-	cp -f live-scripts/diskmounter live-scripts/runXBMC \
-		debian/xbmc-live/usr/bin/
-	mkdir -p debian/xbmc-live/etc/xbmc
-	cp -rf live-scripts/live.d debian/xbmc-live/etc/xbmc
 
 override_dh_makeshlibs:
 	# We don't install shared libraries in standard locations so don't run
 	# dh_makeshlibs
 
-override_dh_shlibdeps: debian/tmp/xbmc-bin-dummy.so
+override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
 	dh_shlibdeps -a -O--parallel \
 		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
 	# Need to manually add dependencies for dlopened libs.
-	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
+	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
+	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
 
-debian/tmp/xbmc-bin-dummy.so:
+debian/tmp/xbmc-bin-depends-dummy.so:
 	mkdir -p debian/tmp
 	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
-		-lcurl-gnutls \
+		-lcurl-gnutls
+
+debian/tmp/xbmc-bin-recommends-dummy.so:
+	mkdir -p debian/tmp
+	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
+		-lass \
+		-lbluray \
+		-lcec \
+		-lFLAC \
+		-lmad \
+		-lmodplug \
+		-lmp3lame \
+		-lmpeg2 \
+		-lnfs \
+		-logg \
+		-lplist \
+		-lrtmp \
+		-lshairport \
 		-lvdpau \
-		-lrtmp \
-		-lnfs \
-		-lshairport \
-		-lplist \
-		-lass \
-		-lcec
+		-lvorbis \
+		-lvorbisenc \
+		-lvorbisfile \
+		$(ARCH_SPECIFIC_LIB_RECOMMENDS)
